none
.Net frameWork sp1 Windows 7 RRS feed

  • Question

  • I want to Update my .net frame work 3.5 to 3.5 sp1 in windows 7, but when i run the setup i saw error "Turn Window features on or off"

    Than in control panel -> Program Features -> Turn Windows features on or off .. under .net frame work 3.5.1 i check all two option under it....

     

    Than i run setup i saw a setup Error   some one plz help me



    Taha Zubair Ahmed Software Emgineer.
    Monday, September 13, 2010 6:53 AM

Answers

  • Hello Taha,

    The Entity Framework is included in VS2008 SP1. So you are required to apply VS2008 SP1 first.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help
    Thursday, September 16, 2010 4:09 AM
    Moderator

All replies

  • Windows 7 installed 3.5 SP1 with the OS, so you do not need to install it yourself.

    The message you got is trying to tell you to check Windows features in Control Panel, and to turn .NET 3.5 SP1 on if necessary.

    Control Panel->Programs and Features->Turn Windows features on or off In the Windows Features dialog, locate Microsoft .NET Framework 3.5.1. and ensure that it is turned on.

    Monday, September 13, 2010 3:12 PM
  • All features are Checked under "Microsoft .Net FrameWork 3.5.1" but it can not be install At last show the "Setup Error".
    Taha Zubair Ahmed Software Emgineer.
    Monday, September 13, 2010 4:24 PM
  • Please reread my previous answer!

    "Windows 7 installed 3.5 SP1 with the OS, so you do not need to install it yourself."

    Confirmation here:

    http://social.msdn.microsoft.com/Forums/en/netfxsetup/thread/347bc59c-374c-43f9-a2ed-e9bb89c6f25b

     

    Monday, September 13, 2010 7:40 PM
  • Hello,.

    As pvdg42 mentioned, Windows 7 (all editions) includes the .NET Framework 3.5.1 as an OS component.  This means you will get the .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 plus a few post 3.5 SP1 bug fixes.  3.0 SP2 and 3.5 SP1 can be added or removed via the Programs and Features control panel.

    Thanks.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help
    Tuesday, September 14, 2010 5:24 AM
    Moderator
  • Thank u for Your Reply

    if .net frame Work 3.5 sp1 is already installed in Win 7 than why i can't get the Entity Frame Work feature in My Visual Studio 2008 Professional Ed.

     

    Entity Frame Work is included in .net 3.5 sp1 *


    Taha Zubair Ahmed Software Emgineer.
    Tuesday, September 14, 2010 7:17 AM
  • May be i install .net frame Work with Visual Studio Setup

    is that Reason for that

    plz help meeee

    Thank u in Advance.


    Taha Zubair Ahmed Software Emgineer.
    Tuesday, September 14, 2010 7:19 AM
  • Hello,

    The Entity Framework is included in VS2008 SP1. So you are required to apply VS2008 SP1 first.

    Here you can download VS2008 SP1: http://www.microsoft.com/downloads/en/details.aspx?FamilyId=FBEE1648-7106-44A7-9649-6D9F6D58056E&displaylang=en


    Please remember to mark the replies as answers if they help and unmark them if they provide no help
    Wednesday, September 15, 2010 5:57 AM
    Moderator
  • Hi.

    I'm having an issue running sql server 2008.  I keep getting the error that .net framework 3.5 needs to be installed.  I'm on a windows 7 box 64-bit. 

    I've also tried installing 3.5 sp1 and it keeps throwing an error.

    Do you happen to know why???

    thx

    Wednesday, September 15, 2010 2:47 PM
  • i have .net fw 3.5 installed & it give me 1 Error is that .net fw sp1 is must be installed for SQL Server Management Studio 2008

     

    But i can't success to install .net fw 3.5 sp1


    Taha Zubair Ahmed Software Emgineer.
    Wednesday, September 15, 2010 6:34 PM
  • Hello Charm4life,

    It is not necessary to intall .NET Framework 3.5 or SP1 as WIN7 has already included it as system component. You may need to Verify that if you have turned on the feature of .NET Framework. (Control Panel - Programs and Features - Turn Windows features on or off - Verify that the box next to Microsoft .NET Framework has been checked).


    Please remember to mark the replies as answers if they help and unmark them if they provide no help
    Thursday, September 16, 2010 4:07 AM
    Moderator
  • Hello Taha,

    The Entity Framework is included in VS2008 SP1. So you are required to apply VS2008 SP1 first.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help
    Thursday, September 16, 2010 4:09 AM
    Moderator
  • Hello Edwer Fang i really appreciate your help, because your this link solve my problem.

    http://www.microsoft.com/downloads/en/details.aspx?FamilyId=FBEE1648-7106-44A7-9649-6D9F6D58056E&displaylang=en

     

    I'm very Thank ful for you

    Thank u


    Taha Zubair Ahmed

    Software Emgineer.

    Thursday, September 16, 2010 3:04 PM